## org.omg.CORBA
Class TRANSACTION_ROLLEDBACK

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.TRANSACTION_ROLLEDBACK

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class TRANSACTION_ROLLEDBACK
extends SystemException

The TRANSACTION_ROLLEDBACK exception indicates that the transaction associated with the request has already been rolled back or marked to roll back. Thus, the requested operation either could not be performed or was not performed because further computation on behalf of the transaction would be fruitless.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`TRANSACTION_ROLLEDBACK()`
`TRANSACTION_ROLLEDBACK(int minor, CompletionStatus completed)`
`TRANSACTION_ROLLEDBACK(java.lang.String orb_reason)`
`TRANSACTION_ROLLEDBACK(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK()

### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK(java.lang.String orb_reason)

### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK(int minor,
                                  CompletionStatus completed)

### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK(java.lang.String orb_reason,
                                  int minor,
                                  CompletionStatus completed)